Wrong version -1 reply

Please wait...

CrazyMachine

I'm to cool to be here

50 XP

26th February 2009

0 Uploads

22 Posts

0 Threads

#1 9 years ago

I have played battlfeild for a while now. I have BF2 , 2142 and 1942. On 1942 when i join a multiplayer server its came up wrong version. What must i do:sleep:




Apo-TTCC

FH2 Betatester

50 XP

27th October 2005

0 Uploads

716 Posts

0 Threads

#2 9 years ago

Wrong version usually means that your version does not match with the one on the server. Most common reason: not having the latest patch.

For BF1942 you need the Full 1.6 Patch and the small 1.61b. Battlefield 1942: Full Client Patch Official BF1942 Client Patch 1.6 to 1.61b




CrazyMachine

I'm to cool to be here

50 XP

26th February 2009

0 Uploads

22 Posts

0 Threads

#3 9 years ago

Thanks alot!!